---
sidebar_position: 1
description: "推荐使用此方式进行一键安装。"
---

# 使用引擎扩展安装

---
## 前往 Cocos Store 下载

项目的发起者 SmallMain 在 Cocos Store 发布了一个叫做 **Cocos Service Pack** 的引擎扩展。

**这个扩展唯一的作用就是帮助你管理服务包的版本（查看已安装版本、安装、卸载）。**

你可以在 [Cocos Store](TODO) 花费 ¥13.14 下载并安装这个扩展。


:::tip 常见问题

- **Service Pack 不是开源项目吗？？？**

    Service Pack 是完全开源的项目，涉及到引擎的每个修改我们都开放源码并提供原理文档。
    
    这个引擎扩展只会为你提供自动化的安装方式，即使以后也只会添加版本管理方面的功能。
    
    你可以选择 [手动安装](./installation-manual) 服务包，只需要几分钟即可完成。

:::

---
## 一键安装

:::info 注意

如果遇到与这个扩展相关的问题或者建议，请不要在 Github 反馈，而是请在扩展的 **商店评论区** 进行反馈。

因为这个扩展的收益是个人的，所以也只由个人维护。

:::

在 Cocos Creator 的菜单栏依次点击 **扩展 - 服务包管理**，会弹出服务包管理界面。

![plugin-ui](./assets/plugin-ui.png)

如果是扩展支持的引擎版本，**安装服务包** 的按钮会亮起，点击即可一键完成安装。

:::note 扩展做了什么事

扩展会自动修改你项目的自定义引擎配置文件，将当前引擎内的 `jsb-adapter` 替换，在项目根目录放置 `creator.d.ts` 文件。

:::

之后重启即可生效。

可在项目预览时检查 Devtools Console 打印的是否为 `Cocos Creator SP v2.4.x`，是的话则已经成功安装。

![](./assets/installed-console.png)

接下来推荐你从 [入门教程](../start-guide/start-guide-intro) 开始了解服务包为你的开发都带来了哪些新特性！

---
## 支持的引擎版本

服务包每次的版本更新都只会发布最新版本的引擎压缩包，而这个扩展会额外适配其他引擎版本并内置在扩展里。

**当前扩展会维护两个 Cocos Creator 版本，分别是 v2.4.6 与最新版本。**

选择维护这两个版本是因为在 v2.4.7 这个版本出现了破坏性变更，而 v2.4.7 也正好是官方开始暂停新特性开发，只进行维护的版本。

也就是说：

- 项目如果是使用小于 v2.4.7 版本的引擎可以完全无痛升级至 v2.4.6。
- 项目如果是使用大于等于 v2.4.7 版本的引擎可以完全无痛升级至最新版。
